Subject: RE: [mobile-ip] I-D ACTION:draft-ohnishi-mobileip-v6vpngateway-00 .txt

From: "Liu, Changwen" <[email-masked]>
Date: Fri, 28 Jun 2002 10:28:02 -0700

I read through the draft and here is my quick observation/comment on this
draft:
Unlike MIPv4, MIPv6 (as of draft 17) has better authorization specification
for binding update. For example, in order to avoid unauthorized binding
update for a MNv6, "the security policy database entries MUST unequivocally
identify a single SA for any given home address and home agent" in MIPv6
while MIPv4 SA doesn't has this restriction. In other words, if the GHA can
send binding update to MIPv6 HA for a MNv6, the MNv6 loses its capability
for sending binding update to its own MIPv6 HA. Hence no matter where MNv6
roams to, all MNv6 data traffic has to go through GHA and a lot of traffic
has to go through the path HA-GHA. The routing for MNv6 can never be fully
optimized as specified in MIPv6 and triangular routing is unavoidable. If
one wants support full routing optimization for VPN traversal, it seems that
the aforementioned line in MIPv6 specification may need to be changed
slightly to allow more than one SAs for updating any given home address and
home agent pair.

My two cents.

changwen

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, June 28, 2002 3:37 AM
> Cc: [email-masked]
> Subject: [mobile-ip] I-D
> ACTION:draft-ohnishi-mobileip-v6vpngateway-00.txt
> 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> 
> 
> 	Title		: Mobile IPv6 VPN using Gateway Home Agent
> 	Author(s)	: H. Ohnishi, K. Suzuki, Y. Takagi
> 	Filename	: draft-ohnishi-mobileip-v6vpngateway-00.txt
> 	Pages		: 18
> 	Date		: 27-Jun-02
> 	
> Mobile IPv6 [Mobile IPv6] provides mobility functions for IPv6.  It
> can also be used for public mobility services.  One of the most
> important services is the VPN service enabling users to access their
> Intranets from outside.  Mobile IP does notwork well with VPN,
> however, and this issue is being discussed in the Mobile IP WG [VPN
> problem].  This document proposes a simple mechanism that combines
> VPN and Mobile IP functions. This mechanism uses a hierarchical HA
> architecture and includes an HA with GW functions, called a Gateway
> Home Agent (GHA).
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ohnishi-mobileip-v6v
pngateway-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ohnishi-mobileip-v6vpngateway-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ohnishi-mobileip-v6vpngateway-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.